Subscription & Usage
All operations require authentication.
List servicesProduction
List services. Returns the services of the billing account: lines, numbers, fax, trunks. Get a service for its type, offers and status.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a serviceProduction
Get a service. Returns the service: type, feature type, description, offers, properties, fax capabilities, associated device and country.
Path parameters
The name of your billingAccount
Response
MAC address of the associated device if there is one.
The country of the number
bechdeesfrgbukThe country code of the number
323334414449Current outplan
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlThe service offers
Does this service have fax capabilities?
xdslThe identifier to use to port the number
All existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "associatedDeviceMac": "00:00:5e:00:53:01", "country": "be", "countryCode": 32, "currentOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "description": "string", "featureType": "aiAgent", "getPublicOffer": { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }, "hasFaxCapabilities": true, "offers": [ "string" ], "properties": [ "xdsl" ], "rio": "string", "serviceName": "string", "serviceType": "alias", "simultaneousLines": 0}
Terminate a serviceProduction
Terminate a service. Requests the termination of the service, with a reason and optional details. The termination can be cancelled until it is executed.
Path parameters
The name of your billingAccount
Query parameters
Termination reason details
Termination reason
addresseMovebillingDifficultiescessationOfActivitymissingOptionsmoveToCompetitorotherplugAndPhoneDifficultiestechnicalDifficultiesResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Update a serviceProduction
Update a service. Updates the service description. The other properties of the service, such as its type and offers, are read-only.
Path parameters
The name of your billingAccount
Request body (required)
MAC address of the associated device if there is one.
The country of the number
bechdeesfrgbukThe country code of the number
323334414449Current outplan
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlThe service offers
Does this service have fax capabilities?
xdslThe identifier to use to port the number
All existing types
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Cancel the service terminationProduction
Cancel the service termination. Cancels the termination requested on the service, before it is executed.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ cancelTermination \
-H "authorization: Bearer $OVH_TOKEN"Move a service to another billing accountProduction
Move a service to another billing account. Moves the service to another billing account of the same customer, given by its name.
Path parameters
The name of your billingAccount
Request body (required)
Billing account destination target
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ changeOfBillingAccount \
-H "authorization: Bearer $OVH_TOKEN"Get diagnostic reportsDeprecated
Deprecated since Dec 31, 2023, will be removed on Jan 31, 2024.
Get diagnostic reports. Returns the diagnostic reports of the service: call quality problems detected on the network, for today or one of the last three days.
Path parameters
The name of your billingAccount
Query parameters
The date index interval
2 days ago3 days agotodayyesterdayResponse
Identifier of the concerned leg
Typology where the diagnostic arriving from
dpisignalDatetime of the diagnostic
Explanation of the diagnostic
The level of the diagnostic
debugerrorinfowarnName of the rule detected
Report of the diagnostic
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ diagnosticReports \
-H "authorization: Bearer $OVH_TOKEN"[ { "callId": "string", "category": "dpi", "datetime": "2024-01-01T12:00:00Z", "description": "string", "level": "debug", "name": "string", "report": "string" }]
Get the directory listingProduction
Get the directory listing. Returns the directory listing of the service: name, address and display options.
Path parameters
The name of your billingAccount
Response
All genders a person can choose
femalemaleExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ directory \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "string", "addressExtra": "string", "ape": "string", "areaCode": 0, "birthDate": "2024-01-01", "cedex": "string", "city": "string", "country": "string", "directoryServiceCode": "string", "displayFirstName": true, "displayMarketingDirectory": true, "displayOnlyCity": true, "displaySearchReverse": true, "displayUniversalDirectory": true, "email": "string", "firstName": "string", "gender": "female", "inseeCode": 0, "legalForm": "string", "lineDescription": "string", "modificationDate": "string", "modificationType": "string", "name": "string", "number": "string", "occupation": "string", "postBox": "string", "postCode": "string", "siret": "string", "socialNomination": "string", "socialNominationExtra": "string", "status": "string", "urbanDistrict": "string", "wayName": "string", "wayNumber": "string", "wayNumberExtra": "string", "wayType": "string"}
Update the directory listingProduction
Update the directory listing. Updates the directory listing of the service: name, company details, address, contact email and display options in the directories.
Path parameters
The name of your billingAccount
Request body (required)
All genders a person can choose
femalemaleResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ directory \
-H "authorization: Bearer $OVH_TOKEN"Fetch company informationProduction
Fetch company information. Returns the company information for a company registration number. The result is given by a task to check until it ends.
Path parameters
The name of your billingAccount
Request body (required)
Entreprise number to fetch informations from
Response
Informations about the enterprise
Task status
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ directory/ fetchEntrepriseInformations \
-H "authorization: Bearer $OVH_TOKEN"{ "informations": { "address": "string", "ape": "string", "brand": "string", "entrepriseNumber": "string", "isValid": true, "name": "string", "siren": "string" }, "status": "doing"}
Get the directory service codeProduction
Get the directory service code. Returns the directory service codes for an APE code (main business activity code).
Path parameters
The name of your billingAccount
Query parameters
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ directory/ getDirectoryServiceCode \
-H "authorization: Bearer $OVH_TOKEN"[ { "apeCode": "string", "apeDescription": "string", "directoryServiceCode": 0, "directoryServiceDescription": "string", "notification": "string" }]
List street typesProduction
List street types. Returns the street types available for a directory listing address, with their full and abbreviated names.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ directory/ getWayTypes \
-H "authorization: Bearer $OVH_TOKEN"[ { "abbreviatedName": "string", "wayName": "string" }]
Get the event tokenProduction
Get the event token. Returns the token used to receive real-time call events. Create a new token when it is missing or expired.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}
Create an event tokenProduction
Create an event token. Creates a token to receive real-time call events, valid 5 minutes, 1 hour, 1 day, 30 days or without limit. Returns the token.
Path parameters
The name of your billingAccount
Request body (required)
Time to live in seconds for the token
1 day1 hour30 days5 minutesunlimitedResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete the event tokenProduction
Delete the event token. Deletes the event token. It can no longer be used to receive real-time call events.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"Get the scheduled offer changeProduction
Get the scheduled offer change. Returns the offer that will replace the current offer of the service on the next renewal.
Path parameters
The name of your billingAccount
Response
The current offer will be replace by this one on the next renew.
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ offerChange \
-H "authorization: Bearer $OVH_TOKEN"{ "offer": "string"}
Schedule an offer changeProduction
Schedule an offer change. Schedules a change of offer for the service. The new offer replaces the current one on the next renewal.
Path parameters
The name of your billingAccount
Request body (required)
The future offer
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ offerChange \
-H "authorization: Bearer $OVH_TOKEN"Cancel the scheduled offer changeProduction
Cancel the scheduled offer change. Cancels the scheduled offer change. The service keeps its current offer on the next renewal.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ offerChange \
-H "authorization: Bearer $OVH_TOKEN"List available offer changesProduction
List available offer changes. Returns the offers the service can change to. Use one of them to schedule an offer change.
Path parameters
The name of your billingAccount
Response
The offer description
The offer name
Offer price per month
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ offerChanges \
-H "authorization: Bearer $OVH_TOKEN"[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }]
List offer tasksProduction
List offer tasks. Returns the identifiers of the scheduled offer operations of the service, such as an offer change or a termination.
Path parameters
The name of your billingAccount
Query parameters
Filter the value of action property (=)
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradeFilter the value of status property (=)
doingdoneerrorpausetodoFilter the value of type property (=)
lineofferoptionphoneResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ offerTask \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an offer taskProduction
Get an offer task. Returns the offer operation: type, action such as termination or upgrade, planned execution date and status.
Path parameters
The name of your billingAccount
Response
Actual action that will be executed
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradePlanned execution date
Current status of the task
doingdoneerrorpausetodoType of operation that will be executed
lineofferoptionphoneExample uses billingAccount = string, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ offerTask/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "convertToAlias", "executionDate": "2024-01-01T12:00:00Z", "status": "doing", "taskId": 0, "type": "line"}
Update an offer taskProduction
Update an offer task. Updates the scheduled offer operation. Only its planned execution date can be changed.
Path parameters
The name of your billingAccount
Request body (required)
Actual action that will be executed
convertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgradePlanned execution date
Current status of the task
doingdoneerrorpausetodoType of operation that will be executed
lineofferoptionphoneResponse
Example uses billingAccount = string, serviceName = string, taskId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ offerTask/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"List last month call recordsProduction
List last month call records. Returns the identifiers of the call records of the previous month. Get a call record for its called number, duration and price excluding tax.
Path parameters
The name of your billingAccount
Query parameters
Filter the value of creationDatetime property (>=)
Filter the value of creationDatetime property (<=)
Filter the value of destinationType property (=)
landlinemobilespecialFilter the value of planType property (=)
outplanpriceplanFilter the value of wayType property (=)
incomingoutgoingtransferResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ previousVoiceConsumption \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a last month call recordProduction
Get a last month call record. Returns the call record of the previous month: date, numbers, destination, duration, hangup cause and price without tax.
Path parameters
The name of your billingAccount
Response
Phone number
Phone number
Country suffix destination
Description of the destination
Consumption destination type
landlinemobilespecialInformation about hangup cause
Consumption plan type
outplanpriceplanPrice with it's currency and textual representation
Consumption way type
incomingoutgoingtransferExample uses billingAccount = string, consumptionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ previousVoiceConsumption/ {consumptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "called": "string", "calling": "string", "consumptionId": 0, "countrySuffix": "string", "creationDatetime": "2024-01-01T12:00:00Z", "designation": "string", "destinationType": "landline", "duration": 0, "hangupNature": "string", "planType": "outplan", "priceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "wayType": "incoming"}
List tasksProduction
List tasks. Returns the identifiers of the operations in progress on the service. Get a task for its action, status and failure message.
Path parameters
The name of your billingAccount
Query parameters
Filter the value of action property (=)
Filter the value of serviceType property (=)
Filter the value of status property (=)
doingdoneerrorpausetodoResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ service/ {serviceName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Get a task. Returns the operation on the telephony service: action, status (todo, doing, done, error or pause), created object and failure message.
Path parameters
The name of your billingAccount
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodo